Home | All Classes | Grouped Classes | Index | Search

# CL_DomNamedNodeMap::set_named_item

Adds a node using its node name attribute.

    	CL_DomNode set_named_item(
    		const CL_DomNode& node);

Parameters:

arg
  A node to store in a named node map. The node will later be accessible using the value of the node name attribute of the node. If a node with that name is already present in the map, it is replaced by the new one.

Detailed description:

As the node name attribute is used to derive the name which the node must be stored under, multiple nodes of certain types (those that have a "special" string value) cannot be stored as the names would clash. This is seen as preferable to allowing nodes to be aliased.

See also:

CL_DomNamedNodeMap | CL_DomNode

Questions or comments, write to the ClanLib mailing list.